#include "chdecl.h"
void CH_abbrev_expand(current, sched, cop)
#define ARGUMENTS 9
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb3;
    case 4: goto c4;
    case 5: goto cb8;
    case 6: goto c9;
    case 7: goto c30;
    case 8: goto c39;
    case 9: goto cb68;
    case 10: goto c69;
    case 11: goto c70;
    case 12: goto cb84;
    case 13: goto c85;
    case 14: goto c87;
    case 17: goto c106;
    case 15: goto c106;
    case 16: goto cb109;
    case 18: goto c111;
    case 19: goto c113;
    case 20: goto c116;
    case 21: goto c128;
    case 22: goto c152;
    case 23: goto cb158;
    case 25: goto c160;
    case 26: goto cb187;
    case 27: goto c188;
    case 28: goto c190;
    case 29: goto c192;
    case 30: goto cb208;
    case 31: goto c209;
    case 32: goto c211;
    case 33: goto c214;
    case 24: goto c216;
    case 34: goto c216;
    case 35: goto c221;
    case 36: goto c225;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* chs_lit 4 , "fixfull" */
  if( !chs_lit(DEF(4),"fixfull") ) goto ch_depletion;
  current->ip = 3;
cb3:
/* call 3.0.1 4 5 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(1),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c4:
/* procedure 6 5 , 2 */
  if ((ch_returncode = che_procedure(DEF(6),DEF(5),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* move 7 6 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7) = REF(6);
  REF(6).tsdr = & dr_bottom;
/* chs_lit 8 , "fixmin" */
  if( !chs_lit(DEF(8),"fixmin") ) goto ch_depletion;
  current->ip = 5;
cb8:
/* call 3.0.1 8 9 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(1),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c9:
/* procedure 10 9 , 3 */
  if ((ch_returncode = che_procedure(DEF(10),DEF(9),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* move 11 10 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11) = REF(10);
  REF(10).tsdr = & dr_bottom;
/* new_table 3.3 , 4 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(3),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 12 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val; REF(12).tsdr = & dr_record;
/* ordenum_lit 12.1 , 1 */
  REF(12)DOT(1).value.ord_enum = 1;
  REF(12)DOT(1).tsdr = & dr_ord_enumeration;
/* new_record 13 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val; REF(13).tsdr = & dr_record;
/* unique 13.0 */
  if ((ch_returncode = che_unique(DEF(13)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* unique 13.1 */
  if ((ch_returncode = che_unique(DEF(13)DOT(1),sched)) != Normal)
     goto ch_raise_exception;
/* unite 12.0 13 , 0 */
  if ((ch_returncode = che_unite(DEF(12)DOT(0),DEF(13),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 12.2 , 4 */
  if ((ch_returncode = che_new_table(DEF(12)DOT(2),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 14 3.1.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val;
  REF(14).tsdr = datarepmap[REF(3)DOT(1)DOT(0).tsdr->number];
/* unite 15 14 , 8 */
  if ((ch_returncode = che_unite(DEF(15),DEF(14),sched,8)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 15 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 16 , 5 */
  if ((ch_returncode = che_new_table(DEF(16),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 17 3.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_table;
/* initget 18 17 , 0,0 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(18),DEF(17),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c30:
/* get_or_goto 18 17 , 34 */
  if ((ch_returncode = get_selected_object(DEF(18),DEF(17),sched)) != Normal)
     goto c34;
/* copy 19 18 */
  if((ch_returncode = (REF(18).tsdr->copy)(& ch_val, REF(18).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = datarepmap[REF(18).tsdr->number];
/* insert 16 19 */
  if ((ch_returncode = insertfunc(DEF(16),DEF(19),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 30 */
   goto c30;
c34:
/* endget 18 17 */
  end_selector(DEF(18),DEF(17),sched,GET);
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* copy 20 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* insert 16 20 */
  if ((ch_returncode = insertfunc(DEF(16),DEF(20),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 21 , 5 */
  if ((ch_returncode = che_new_table(DEF(21),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
c39:
/* size 22 3.1.1 */
  REF(22).value.integer = REF(3)DOT(1)DOT(1).value.table->size;
  REF(22).tsdr = & dr_integer;
/* ile . 22 =(0) , 221 */
  if ( REF(22).value.integer <= 0 ) goto c221;
/* privatize 3.1.1 */
  if (REF(3)DOT(1)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(1)DOT(1))) != Normal)
       goto ch_raise_exception;
/* initget 23 3.1.1 , 0,0 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(23),DEF(3)DOT(1)DOT(1),nil,sched,GET,
    0,0)) != Normal) goto ch_raise_exception;
/* get_or_err 23 3.1.1 */
  if ((ch_returncode = get_selected_object(DEF(23),DEF(3)DOT(1)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* remove 24 23 3.1.1 */
  if ((ch_returncode = che_remove(DEF(24),DEF(23),DEF(3)DOT(1)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* endget 23 3.1.1 */
  end_selector(DEF(23),DEF(3)DOT(1)DOT(1),sched,GET);
/* ord_case 25 24.2 */
  REF(25).value.ord_enum = REF(24)DOT(2).value.variant->info.variant_case;
  REF(25).tsdr = & dr_ord_enumeration;
/* equal . 25 =(10) , 59 */
  if ( REF(25).value.ord_enum == 10 ) goto c59;
/* equal . 25 =(7) , 152 */
  if ( REF(25).value.ord_enum == 7 ) goto c152;
/* equal . 25 =(8) , 160 */
  if ( REF(25).value.ord_enum == 8 ) goto c160;
/* equal . 25 =(6) , 190 */
  if ( REF(25).value.ord_enum == 6 ) goto c190;
/* branch , 216 */
   goto c216;
c59:
/* reveal 24.2 , 10 */
  if (10 != REF(24)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* new_record 26 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).value = ch_val; REF(26).tsdr = & dr_record;
/* copy 26.0 3.1.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(26)DOT(0).tsdr)->finalize)(REF(26)DOT(0).value,F_DISCARD,sched);
  REF(26)DOT(0).value = ch_val;
  REF(26)DOT(0).tsdr = datarepmap[REF(3)DOT(1)DOT(0).tsdr->number];
/* copy 26.1 24.0 */
  if((ch_returncode = (REF(24)DOT(0).tsdr->copy)(& ch_val, REF(24)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(26)DOT(1).tsdr)->finalize)(REF(26)DOT(1).value,F_DISCARD,sched);
  REF(26)DOT(1).value = ch_val;
  REF(26)DOT(1).tsdr = datarepmap[REF(24)DOT(0).tsdr->number];
/* copy 27 12 */
  if((ch_returncode = cp_record(& ch_val, REF(12).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* copy 28 24.0 */
  if((ch_returncode = (REF(24)DOT(0).tsdr->copy)(& ch_val, REF(24)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = datarepmap[REF(24)DOT(0).tsdr->number];
/* unite 15 28 , 9 */
  if ((ch_returncode = che_unite(DEF(15),DEF(28),sched,9)) != Normal)
     goto ch_raise_exception;
/* insert 27.2 15 */
  if ((ch_returncode = insertfunc(DEF(27)DOT(2),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 9;
cb68:
/* call 7 16 24.2.0.1 26 27 3.3 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(16),
          arguments[2] = DEF(24)DOT(2)DOT(0)DOT(1),
          arguments[3] = DEF(26),
          arguments[4] = DEF(27),
          arguments[5] = DEF(3)DOT(3),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c69:
/* new_table 29 , 5 */
  if ((ch_returncode = che_new_table(DEF(29),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
c70:
/* size 30 24.2.0.3 */
  REF(30).value.integer = REF(24)DOT(2)DOT(0)DOT(3).value.table->size;
  REF(30).tsdr = & dr_integer;
/* ile . 30 =(0) , 87 */
  if ( REF(30).value.integer <= 0 ) goto c87;
/* privatize 24.2.0.3 */
  if (REF(24)DOT(2)DOT(0)DOT(3).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(24)DOT(2)DOT(0)DOT(3))) != Normal)
       goto ch_raise_exception;
/* initget 31 24.2.0.3 , 0,0 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(31),DEF(24)DOT(2)DOT(0)DOT(3)
    ,nil,sched,GET,0,0)) != Normal) goto ch_raise_exception;
/* get_or_err 31 24.2.0.3 */
  if ((ch_returncode = get_selected_object(DEF(31),DEF(24)DOT(2)DOT(0)DOT(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* remove 32 31 24.2.0.3 */
  if ((ch_returncode = che_remove(DEF(32),DEF(31),DEF(24)DOT(2)DOT(0)DOT(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* endget 31 24.2.0.3 */
  end_selector(DEF(31),DEF(24)DOT(2)DOT(0)DOT(3),sched,GET);
/* copy 27 12 */
  if((ch_returncode = cp_record(& ch_val, REF(12).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* copy 33 24.0 */
  if((ch_returncode = (REF(24)DOT(0).tsdr->copy)(& ch_val, REF(24)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(24)DOT(0).tsdr->number];
/* unite 15 33 , 9 */
  if ((ch_returncode = che_unite(DEF(15),DEF(33),sched,9)) != Normal)
     goto ch_raise_exception;
/* insert 27.2 15 */
  if ((ch_returncode = insertfunc(DEF(27)DOT(2),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 12;
cb84:
/* call 7 16 32.1 26 27 3.3 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(16),
          arguments[2] = DEF(32)DOT(1),
          arguments[3] = DEF(26),
          arguments[4] = DEF(27),
          arguments[5] = DEF(3)DOT(3),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c85:
/* insert 29 32 */
  if ((ch_returncode = insertfunc(DEF(29),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 70 */
   goto c70;
c87:
/* move 24.2.0.3 29 */
  (*(REF(24)DOT(2)DOT(0)DOT(3).tsdr)->finalize)(
    REF(24)DOT(2)DOT(0)DOT(3).value,F_DISCARD,sched);
  REF(24)DOT(2)DOT(0)DOT(3) = REF(29);
  REF(29).tsdr = & dr_bottom;
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 24.2.0.3 */
  if (REF(24)DOT(2)DOT(0)DOT(3).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(24)DOT(2)DOT(0)DOT(3))) != Normal)
       goto ch_raise_exception;
/* find 34 24.2.0.3 24.2.0.2 , 0 */
  if (findfunc(DEF(34),DEF(24)DOT(2)DOT(0)DOT(3),(
          arguments[0] = DEF(24)DOT(2)DOT(0)DOT(2),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* fremove 35 34 24.2.0.3 , 0 */
  if ((ch_returncode = removefunc(DEF(35),DEF(34),DEF(24)DOT(2)DOT(0)DOT(3)
    ,sched,0,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* size 36 35.1 */
  REF(36).value.integer = REF(35)DOT(1).value.table->size;
  REF(36).tsdr = & dr_integer;
/* notequal . 36 =(0) , 113 */
  if ( REF(36).value.integer != 0 ) goto c113;
/* new_table 35.1 , 8 */
  if ((ch_returncode = che_new_table(DEF(35)DOT(1),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 37 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).value = ch_val; REF(37).tsdr = & dr_record;
/* unite 37.0 38 , 0 */
  if ((ch_returncode = che_unite(DEF(37)DOT(0),DEF(38),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 37.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(37)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 39 , 4 */
  if ((ch_returncode = che_new_table(DEF(39),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 37.1 39 */
  if ((ch_returncode = insertfunc(DEF(37)DOT(1),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 35.1 37 */
  if ((ch_returncode = insertfunc(DEF(35)DOT(1),DEF(37),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 40 24.2.0.0 */
  if((ch_returncode = cp_table(& ch_val, REF(24)DOT(2)DOT(0)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).value = ch_val;
  REF(40).tsdr = & dr_table;
/* initget 41 40 , 0,0 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(41),DEF(40),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c110:
c106:
/* get_or_goto 41 40 , 111 */
  if ((ch_returncode = get_selected_object(DEF(41),DEF(40),sched)) != Normal)
     goto c111;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* new_table 42 , 4 */
  if ((ch_returncode = che_new_table(DEF(42),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
  current->ip = 16;
cb109:
/* call 11 41 42 24.1 16 24.2.0.1 35.1 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(41),
          arguments[2] = DEF(42),
          arguments[3] = DEF(24)DOT(1),
          arguments[4] = DEF(16),
          arguments[5] = DEF(24)DOT(2)DOT(0)DOT(1),
          arguments[6] = DEF(35)DOT(1),
          arguments[6+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c111:
/* endget 41 40 */
  end_selector(DEF(41),DEF(40),sched,GET);
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
c113:
/* insert 24.2.0.3 35 */
  if ((ch_returncode = insertfunc(DEF(24)DOT(2)DOT(0)DOT(3),DEF(35)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c116:
/* size 43 24.2.0.1 */
  REF(43).value.integer = REF(24)DOT(2)DOT(0)DOT(1).value.table->size;
  REF(43).tsdr = & dr_integer;
/* notequal . 43 =(0) , 127 */
  if ( REF(43).value.integer != 0 ) goto c127;
/* new_record 44 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).value = ch_val; REF(44).tsdr = & dr_record;
/* unite 44.0 45 , 0 */
  if ((ch_returncode = che_unite(DEF(44)DOT(0),DEF(45),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 44.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(44)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 46 , 4 */
  if ((ch_returncode = che_new_table(DEF(46),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 44.1 46 */
  if ((ch_returncode = insertfunc(DEF(44)DOT(1),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 24.2.0.1 44 */
  if ((ch_returncode = insertfunc(DEF(24)DOT(2)DOT(0)DOT(1),DEF(44)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c127:
/* new_table 29 , 5 */
  if ((ch_returncode = che_new_table(DEF(29),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
c128:
/* size 47 24.2.0.3 */
  REF(47).value.integer = REF(24)DOT(2)DOT(0)DOT(3).value.table->size;
  REF(47).tsdr = & dr_integer;
/* ile . 47 =(0) , 150 */
  if ( REF(47).value.integer <= 0 ) goto c150;
/* privatize 24.2.0.3 */
  if (REF(24)DOT(2)DOT(0)DOT(3).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(24)DOT(2)DOT(0)DOT(3))) != Normal)
       goto ch_raise_exception;
/* initget 48 24.2.0.3 , 0,0 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(48),DEF(24)DOT(2)DOT(0)DOT(3)
    ,nil,sched,GET,0,0)) != Normal) goto ch_raise_exception;
/* get_or_err 48 24.2.0.3 */
  if ((ch_returncode = get_selected_object(DEF(48),DEF(24)DOT(2)DOT(0)DOT(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* remove 32 48 24.2.0.3 */
  if ((ch_returncode = che_remove(DEF(32),DEF(48),DEF(24)DOT(2)DOT(0)DOT(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* endget 48 24.2.0.3 */
  end_selector(DEF(48),DEF(24)DOT(2)DOT(0)DOT(3),sched,GET);
/* size 49 32.1 */
  REF(49).value.integer = REF(32)DOT(1).value.table->size;
  REF(49).tsdr = & dr_integer;
/* notequal . 49 =(0) , 148 */
  if ( REF(49).value.integer != 0 ) goto c148;
/* new_record 50 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).value = ch_val; REF(50).tsdr = & dr_record;
/* unite 50.0 51 , 0 */
  if ((ch_returncode = che_unite(DEF(50)DOT(0),DEF(51),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 50.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(50)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 52 , 4 */
  if ((ch_returncode = che_new_table(DEF(52),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 50.1 52 */
  if ((ch_returncode = insertfunc(DEF(50)DOT(1),DEF(52),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 32.1 50 */
  if ((ch_returncode = insertfunc(DEF(32)DOT(1),DEF(50),FALSE,0)) != Normal)
     goto ch_raise_exception;
c148:
/* insert 29 32 */
  if ((ch_returncode = insertfunc(DEF(29),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 128 */
   goto c128;
c150:
/* move 24.2.0.3 29 */
  (*(REF(24)DOT(2)DOT(0)DOT(3).tsdr)->finalize)(
    REF(24)DOT(2)DOT(0)DOT(3).value,F_DISCARD,sched);
  REF(24)DOT(2)DOT(0)DOT(3) = REF(29);
  REF(29).tsdr = & dr_bottom;
/* branch , 216 */
   goto c216;
c152:
/* reveal 24.2 , 7 */
  if (7 != REF(24)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 27 12 */
  if((ch_returncode = cp_record(& ch_val, REF(12).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* copy 53 24.0 */
  if((ch_returncode = (REF(24)DOT(0).tsdr->copy)(& ch_val, REF(24)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).value = ch_val;
  REF(53).tsdr = datarepmap[REF(24)DOT(0).tsdr->number];
/* unite 15 53 , 9 */
  if ((ch_returncode = che_unite(DEF(15),DEF(53),sched,9)) != Normal)
     goto ch_raise_exception;
/* insert 27.2 15 */
  if ((ch_returncode = insertfunc(DEF(27)DOT(2),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 23;
cb158:
/* call 7 16 24.2.0.3 24.2.0.2 27 3.3 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(16),
          arguments[2] = DEF(24)DOT(2)DOT(0)DOT(3),
          arguments[3] = DEF(24)DOT(2)DOT(0)DOT(2),
          arguments[4] = DEF(27),
          arguments[5] = DEF(3)DOT(3),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c160:
/* reveal 24.2 , 8 */
  if (8 != REF(24)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* size 54 24.2.0.1 */
  REF(54).value.integer = REF(24)DOT(2)DOT(0)DOT(1).value.table->size;
  REF(54).tsdr = & dr_integer;
/* notequal . 54 =(0) , 182 */
  if ( REF(54).value.integer != 0 ) goto c182;
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* find 55 16 24.2.0.0.0 , 0 */
  if (findfunc(DEF(55),DEF(16),(
          arguments[0] = DEF(24)DOT(2)DOT(0)DOT(0)DOT(0),
            & arguments[0]),sched,0) == FAILURE) goto ch_notfound;
/* find 56 55.1 24.2.0.0.1 , 0 */
  if (findfunc(DEF(56),DEF(55)DOT(1),(
          arguments[0] = DEF(24)DOT(2)DOT(0)DOT(0)DOT(1),
            & arguments[0]),sched,0) == FAILURE) goto ch_notfound;
/* ord_case 57 56.2 */
  REF(57).value.ord_enum = REF(56)DOT(2).value.variant->info.variant_case;
  REF(57).tsdr = & dr_ord_enumeration;
/* notequal . 57 =(10) , 179 */
  if ( REF(57).value.ord_enum != 10 ) goto c179;
/* new_record 58 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).value = ch_val; REF(58).tsdr = & dr_record;
/* unite 58.0 59 , 0 */
  if ((ch_returncode = che_unite(DEF(58)DOT(0),DEF(59),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 58.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(58)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 60 , 4 */
  if ((ch_returncode = che_new_table(DEF(60),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 58.1 60 */
  if ((ch_returncode = insertfunc(DEF(58)DOT(1),DEF(60),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 24.2.0.1 58 */
  if ((ch_returncode = insertfunc(DEF(24)DOT(2)DOT(0)DOT(1),DEF(58)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c179:
/* endblock */
  che_endblock(sched);
/* branch , 188 */
   goto c188;
c182:
/* copy 27 12 */
  if((ch_returncode = cp_record(& ch_val, REF(12).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* copy 61 24.0 */
  if((ch_returncode = (REF(24)DOT(0).tsdr->copy)(& ch_val, REF(24)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).value = ch_val;
  REF(61).tsdr = datarepmap[REF(24)DOT(0).tsdr->number];
/* unite 15 61 , 9 */
  if ((ch_returncode = che_unite(DEF(15),DEF(61),sched,9)) != Normal)
     goto ch_raise_exception;
/* insert 27.2 15 */
  if ((ch_returncode = insertfunc(DEF(27)DOT(2),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 26;
cb187:
/* call 7 16 24.2.0.1 24.2.0.0 27 3.3 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(16),
          arguments[2] = DEF(24)DOT(2)DOT(0)DOT(1),
          arguments[3] = DEF(24)DOT(2)DOT(0)DOT(0),
          arguments[4] = DEF(27),
          arguments[5] = DEF(3)DOT(3),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c188:
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* branch , 216 */
   goto c216;
c190:
/* reveal 24.2 , 6 */
  if (6 != REF(24)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* new_table 62 , 11 */
  if ((ch_returncode = che_new_table(DEF(62),QUAL(11),sched)) != Normal) 
     goto ch_raise_exception;
c192:
/* size 63 24.2.0.1 */
  REF(63).value.integer = REF(24)DOT(2)DOT(0)DOT(1).value.table->size;
  REF(63).tsdr = & dr_integer;
/* ile . 63 =(0) , 214 */
  if ( REF(63).value.integer <= 0 ) goto c214;
/* privatize 24.2.0.1 */
  if (REF(24)DOT(2)DOT(0)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(24)DOT(2)DOT(0)DOT(1))) != Normal)
       goto ch_raise_exception;
/* initget 64 24.2.0.1 , 0,0 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(64),DEF(24)DOT(2)DOT(0)DOT(1)
    ,nil,sched,GET,0,0)) != Normal) goto ch_raise_exception;
/* get_or_err 64 24.2.0.1 */
  if ((ch_returncode = get_selected_object(DEF(64),DEF(24)DOT(2)DOT(0)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* remove 65 64 24.2.0.1 */
  if ((ch_returncode = che_remove(DEF(65),DEF(64),DEF(24)DOT(2)DOT(0)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* endget 64 24.2.0.1 */
  end_selector(DEF(64),DEF(24)DOT(2)DOT(0)DOT(1),sched,GET);
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* find 66 24.1 65.0 , 0 */
  if (findfunc(DEF(66),DEF(24)DOT(1),(
          arguments[0] = DEF(65)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 27 12 */
  if((ch_returncode = cp_record(& ch_val, REF(12).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = & dr_record;
/* copy 67 24.0 */
  if((ch_returncode = (REF(24)DOT(0).tsdr->copy)(& ch_val, REF(24)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).value = ch_val;
  REF(67).tsdr = datarepmap[REF(24)DOT(0).tsdr->number];
/* unite 15 67 , 9 */
  if ((ch_returncode = che_unite(DEF(15),DEF(67),sched,9)) != Normal)
     goto ch_raise_exception;
/* insert 27.2 15 */
  if ((ch_returncode = insertfunc(DEF(27)DOT(2),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 30;
cb208:
/* call 7 16 65.2 66.1 27 3.3 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(16),
          arguments[2] = DEF(65)DOT(2),
          arguments[3] = DEF(66)DOT(1),
          arguments[4] = DEF(27),
          arguments[5] = DEF(3)DOT(3),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c209:
/* endblock */
  che_endblock(sched);
c211:
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* insert 62 65 */
  if ((ch_returncode = insertfunc(DEF(62),DEF(65),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 192 */
   goto c192;
c214:
/* move 24.2.0.1 62 */
  (*(REF(24)DOT(2)DOT(0)DOT(1).tsdr)->finalize)(
    REF(24)DOT(2)DOT(0)DOT(1).value,F_DISCARD,sched);
  REF(24)DOT(2)DOT(0)DOT(1) = REF(62);
  REF(62).tsdr = & dr_bottom;
c159:
c216:
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* insert 21 24 */
  if ((ch_returncode = insertfunc(DEF(21),DEF(24),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 39 */
   goto c39;
c221:
/* move 3.1.1 21 */
  (*(REF(3)DOT(1)DOT(1).tsdr)->finalize)(REF(3)DOT(1)DOT(1).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(1) = REF(21);
  REF(21).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c225:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
